AutoCAD .NET :: How To Redefine A Block
May 14, 2012
How do I redefine a block...
I want to insert the new block definition in the place of the old one and overwrite it.
The new block has more attributes than the older instance.
What a good method of going about that?
View 8 Replies
ADVERTISEMENT
Dec 7, 2011
how I can get VBA to insert/redefine a block reference from another file into a block (of the same name) that already exists in the target drawing?
I've tried using the insertblock method but it produces a 'filer error' - As a bonus point, it'd would also be good to be able to retrieve the contents of the blocks collection in the source drawing in some clever way other than opening it (a bit like browsing using the design centre) ?
ACad, MEP, 3DS Max
Windows 7x64
X5482 @3.2Ghz 8Gb Ram
Quadro FX1700
View 2 Replies
View Related
Apr 16, 2013
I have a drawing with multiple instances of a dynamic block. I have a second drawing with said block modified.
I want the first drawing's block to be updated to the modified block without reinserting each block separately.
I don't have the block as a separate file to "insert", only available to copy. With it being dynamic, I don't trust using the block editor and just copy/paste from the modified into the original.
Is there a way to redefine the block?
View 4 Replies
View Related
Dec 12, 2012
I am trying to edit a description of a block and by following what is in the help it gives me an error. See attached jpeg for error message.
View 5 Replies
View Related
Aug 6, 2012
'How I can replace or redefine block record?'.
I tried the following:
1. Get all the block references
2. Clone it
3. Save to new DateBase
4. Erase old Block REferences and Block Record
5. Copy block references from new DataBase
But it doesn't work.
View 3 Replies
View Related
Aug 1, 2013
I'm trying to insert a block, wich contains 2 nested blocks:
1 dynamic block
1 annotive block which has a scale 1:200 with an attribute.
when i'm inserting it trough the toolpalette, and my annoscale is 1:100, the annotive block is converted to the annotive scale 1:100, instead of the 1:200 wich it originally is.
I can't set the annotationscale in the toolpallete, exept when i use macro's. but this also has a drawback.
when i'm inserting the block with a macro, i have to insert a complete drawing wich contains only this one block.This block contains dynamic parameters (i can't add dynamic parameters outside of the blockeditor)
When this block (dwg) is inserted, i explode the block so it becomes the dynamic block again. but the block cannot be redefined, because the actual inserted block is a dwg file.
Is it a drawback of the use of the toolpalette and dynamic / annotive blocks?
View 9 Replies
View Related
Aug 27, 2007
I'm working with some "dirty" blocks that contain several attributes. I've cleaned the blocks up by wblocking, cleaning, & purging the newly created block. I also removed any attributes within the file, including those within blocks within the file. I then renamed the file and inserted it into the drawing, and did a replace block with another through express tools. The problem that I have is the blocks are replaced with the clean version, yet the attributes remain. Is there a solution to this. I do not want any attributes to remain and the only way I know how to fix it is to replace them one at a time.
Also, I'm using AutoCAD 2004.
View 9 Replies
View Related
Jan 29, 2012
I am using the following function to create a block:
(defun crea-blocco (ip blockname gruppoogg / blkobj sArray c r vla-objects doc) (setq c -1) (repeat (sslength gruppoogg) (setq r (cons (ssname gruppoogg (setq c (1+ c))) r)) ) (setq r (reverse r)) (setq vla-objects (mapcar 'vlax-ename->vla-object r)) (setq doc (vla-get-activedocument (vlax-get-acad-object))) (setq blkobj (vla-add (vla-get-blocks doc) (vlax-3d-point ip) blockname)) (setq sArray (vlax-safearray-fill (vlax-make-safearray vlax-vbObject (cons 0 (1- (length vla-objects)))) vla-objects)) (vla-copyobjects doc sArray blkobj) blkobj)
But if I start this function two times with the same block name, I get a block with the selected objects added to the existing block.
How can I redefine an existing block with vlisp?
View 9 Replies
View Related
Aug 15, 2012
I am trying to redefine Block A to Block B, Block C & Block D based off the value of an Attribute in Block A.
If the Attribute in Block A is "1" then redefine to Block B
If the Attribute in Block A is "2" then redefine to Block C
If the Attribute in Block A is "3" then redefine to Block D
I know it should be able to be done using If and Cond functions within a lisp routine, but I am in a hurry with it and don't have the time to research it anymore.
View 8 Replies
View Related
Jul 7, 2011
I've got a block with multiple attributes. This is not a problem to redefine the blocks attributes.
Some of the attributes contains dynamic fields (blockplace holder x y z parameters) When i insert a block with such atributes that includes the blockplaceholder dynamic fields i get
X: InsertionPoint => It is recognized as an Dynamic field but displays InsertionPoint. and does not update the value.
How can i update the fielddata from vb.net?
Part of the code I use (where i think the problem is)
For Each attid As ObjectId In refbtr attent = tr.GetObject(attid, OpenMode.ForRead) If TypeOf attent Is AttributeDefinition Then Dim attdef As AttributeDefinition = attent Dim attref As New AttributeReference() attref.SetAttributeFromBlock(attdef, myBlockRef.BlockTransform) Dim attrefid As ObjectId = myBlockRef.AttributeCollection.AppendAttribute(attref) tr.AddNewlyCreatedDBObject(attref, True) End IfNext
View 6 Replies
View Related
Dec 4, 2012
I have the following code to redefine a block after a command has ended:
(vl-load-com);*********************************************************(defun Redefine() (command "_.INSERT" "reactortest=reactortest" nil)(princ "Block redefined."));****************************************(vlr-command-reactor nil '((:vlr-commandEnded . endCommand)));******************************************************(defun endCommand (calling-reactor endcommandInfo / thecommandend) ; Get the name of the command.(setq thecommandend (nth 0 endcommandInfo)); Check name of the command.(cond ((= thecommandend "PLINE") (Redefine)));cond(princ));defun(princ)
It doesn't work because INSERT is an interactive function and can't be called while a reactor is active. Is there another way to redefine a block that can be used in a reactor? The block is in one of the default search path's.
View 2 Replies
View Related
Oct 13, 2011
I use the following code to redefine a block:
objBlockTable = (BlockTable)objTransactionManager.GetObject(objDatabaseSource.BlockTableId, OpenMode.ForRead, false);
structObjectId = objBlockTable[strBlockName];
objBlockTableRecord = (BlockTableRecord)objTransactionManager.GetObject(structObjectId, OpenMode.ForRead, false);
objObjectIdCollection.Add(structObjectId);
objIdMapping = new IdMapping();
objDatabaseSource.WblockCloneObjects(objObjectIdCollection, objDatabase.BlockTableId, objIdMapping, DuplicateRecordCloning.Replace, false);
It works for normal blocks but it does not redefine dymanic blocks. Is there a way to redefine dynamic blocks?
View 1 Replies
View Related
Jul 15, 2013
I created a temporary override key in the CUI and assigned a new command to F1. Used to (in other versions of autocad), all was well and it worked great. But for some reason it still invokes the Help command.
When I press the F1 key, my goal is to toggle osnap and ortho at the same time. It does do this, but it also brings up the stupid help menu.
Here is the macro I am using for the override:
^P'_.osmode $M=$(if,$(and,$(getvar,osmode),16384),$(-,$(getvar,osmode),16384),$(+,$(getvar,osmode),16384))
^P'_.orthomode $M=$(if,$(and,$(getvar,orthomode),1),$(-,$(getvar,orthomode),1),$(+,$(getvar,orthomode),1))
View 1 Replies
View Related
Aug 6, 2012
When ever I want to change the sketch plane for a already finished sketch, I use rmb, redefine and choose new plane/ planar face.
Why does the sketch position change from the original coordinate point when redefined to new plane?
Inventor Professional 2013
Vault Collaboration 2013
View 1 Replies
View Related
Sep 13, 2013
I'm trying to set up a company layer structure and want to use LISP. Therefore I'd like to use a template file and set every layer with it's specific linetype and color there. If I change something in the template, say the color of a layer, it should update this in the drawing when I hit the LISP command.
View 9 Replies
View Related
Jul 2, 2013
Is it possible to redefine a subassembly's Code? For example, the built-in "Primary Road Fill Section" assembly's Curb and Gutter subassembly uses Pave1 and SubBase for the Shape Codes; however, most curb is PCC on top of AB not subbase. Since the hatch SubBase is defined in the style and applied to the entire Assembly, it makes it so the curb and gutter is built on Subbase not AB along with the roadway's AC & AB. How can I change the curb's code to be Pave1 on top of Base? Do I have to use MSVB?
View 1 Replies
View Related
Nov 5, 2013
I've written a script that improves the default "ID" command, but it's not working.
I was able to redefine the "DI" command.
View 9 Replies
View Related
Jun 11, 2012
is there a command to redefine/update multiple wblock?
View 5 Replies
View Related
Mar 10, 2012
way to redefine a point that was placed in a model with a "Center of Loop of Edges" command? Inventor doesn't seem to recognize type of placement unless it's been selected from the Point drop-down menu, but picking this in the midst of a redefine only creates a new point, it doesn't redefine the original point.
As it is, I've been forced to just delete the original point, create a new one and go from there.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014
Dell Precision T1650
Windows 7 Professional SP1 64-bit
Intel E3-1270 V2 3.5GHz / 32G RAM
Nvidia Quadro 2000, Driver 331.82
Space Navigator, Driver Version 6.17.7
View 2 Replies
View Related
Oct 29, 2013
As the title indicates I want to redefine the layers for section lines and generated sections.
View 3 Replies
View Related
Oct 2, 2012
I'm experiencing many problems when modifying parts measures, adding extruxions or doing holes/threads.
Always same error: Operation doesn't produce a significant result. Redefine inputs
If Inventor is totally closed and reopened, I can modify and update parts without problems for 10-30 minutes, until first error, then it gives errors until closing again. Usually, but not always, operation preview begins to fail before first error. So it's quite difficult to reproduce.
I've tried uninstalling everything after Autodesk installation, windows updates and Firefox plugins (well, even Firefox itself) included. I've tried all hotfixes and updates that Inventor 2013 gives (NO SP1), even I've fully reinstalled Inventor. I've been using Inventor from Inventor 7 and never seen such errors.
I've attached a part from the pictures. Anyway, as errors are not always happening, maybe you won't have any problem with it.
PD: Also, a little problem is that with this Inventor version I can use the CTR+c CTRL+v to copy parts into an assembly. I can use the context menu but no shortkeys.
Autodesk Product Design Suite Premium 2013 (Installed yesterday, so with all official updates)
Windows 7 64bits Proffesional SP1
Intel(R) Xeon CPU W3565 @3.20GHz
NVIDIA Quadro FX 3800
8GB RAM
View 6 Replies
View Related
Jul 19, 2012
How do I redefine a swatch color?
View 4 Replies
View Related
Mar 26, 2013
I successfully cloned one part of an image to another, but now I can't redefine a new spot to clone. The tool still thinks I want to clone the same relative point. Is there some sort of done/new button I have to click.
View 2 Replies
View Related
Jun 17, 2013
A want to redefine default shortcut for command "Create new layer without dialog" but i cannot find this command in shortcut preferences.In which section of shortcut preferences, in photoshop cs6, nested this command?
View 3 Replies
View Related
Sep 4, 2012
We use a number of blocks with block tables for data extraction here, and whenever one of the blocks is modified and updated, all of the block tables reset to the default value. This happens for any block reference change, not just changes to the block table (which makes sense that it would reset).
How can we update these blocks without having to manually change all of the block tables afterwards?
View 2 Replies
View Related
Jan 24, 2013
I am in the process of fixing one of our dynamic blocks. It's a fairly simple fix where there was a typo in one of the names of our items in the lookup that needed to be fixed.
I changed the name of the item in the lookup table. I went and did the test block and it seemed to work fine, but when I bring the block into a drawing, it reverts back to the old lookup as if I did nothing at all.
I made sure that the path was correct and I even just dragged and dropped straight from Windows Explorer to no avail.Does AutoCAD keep referring to the old block? Did I forget to change something else?
View 3 Replies
View Related
May 30, 2012
I have a block containing several parts blocks. When I explode the main block all of the parts are exploded back to lines. I have used both "explode" and "xplode" and have the same results. How can I explode so I have my components as blocks?
View 6 Replies
View Related
Oct 16, 2013
We're using C3D 2013 SP2. The survey company we use uses point styles to show the blocks. Say they shoot a catchbasin. Instead of inserting the block, the point shows up as the block.
I did a field check & needed to insert a missed CB. When I inserted the block, the other points that were CBs disappeared. I had to insert the block, copy it the clipboard, undo the insertion & then paste the block in. It did this on other drawings & other blocks.
View 7 Replies
View Related
Aug 13, 2012
Is it possible, via whatever methods (lisp?) to be able to have a premade block with an attribute and insert it into a drawing then assign a value to it by selecting another existing block in the drawing and using one of its own attribute’s values?
For example, say I have a block representing a telephone and it had an attribute called "PhoneNo" and I inserted it into a drawing showing an office floor plan that had blocks in each office space that are telephone junction boxes with attributes "PhoneExtension". I would like to be able to autocomplete the entering of the “PhoneNo” data by selecting one of the telephone junction boxes in the drawing and using its attribute’s value.
View 5 Replies
View Related
Oct 28, 2013
I have created a dynamic block with a stretch, flip and rotate. Everything works great in its file. When I insert it in another file, the grips move but the block does not change.
AutoCAD 2014
View 2 Replies
View Related
Oct 3, 2013
I get an AutoCAD drawing from my conveyor manufacturer who have buried a block (tagname) in all of their conveyor blocks.
The only way to remove them is to manually use BEDIT and erase the tagname block.
Is there a way through Autolisp to search all blocks in a drawings and if the tagname block is part of the definition of the conveyor block, erase the tagname block or redefine the conveyor block without the tagname block.
View 8 Replies
View Related